net.dontdrinkandroot.cache.utils

## Class Duration

- java.lang.Object
- - net.dontdrinkandroot.cache.utils.Duration

    public class Duration
    extends Object

### Field Summary

Fields
`static long` `HOURS_PER_DAY`
`static long` `MILLIS_PER_DAY`
`static long` `MILLIS_PER_HOUR`
`static long` `MILLIS_PER_MINUTE`
`static long` `MILLIS_PER_SECOND`
`static long` `MINUTES_PER_HOUR`
`static long` `SECONDS_PER_MINUTE`

### Constructor Summary

Constructors
Constructor and Description
`Duration()`

### Method Summary

Methods
`static long` `days(int days)`
`static long` `hours(int hours)`
`static long` `minutes(int minutes)`
`static long` `seconds(int seconds)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SECONDS_PER_MINUTE

    public static final long SECONDS_PER_MINUTE

See Also:
  Constant Field Values

#### MINUTES_PER_HOUR

    public static final long MINUTES_PER_HOUR

See Also:
  Constant Field Values

#### HOURS_PER_DAY

    public static final long HOURS_PER_DAY

See Also:
  Constant Field Values

#### MILLIS_PER_SECOND

    public static final long MILLIS_PER_SECOND

See Also:
  Constant Field Values

#### MILLIS_PER_MINUTE

    public static final long MILLIS_PER_MINUTE

See Also:
  Constant Field Values

#### MILLIS_PER_HOUR

    public static final long MILLIS_PER_HOUR

See Also:
  Constant Field Values

#### MILLIS_PER_DAY

    public static final long MILLIS_PER_DAY

See Also:
  Constant Field Values

### Constructor Detail

#### Duration

    public Duration()

### Method Detail

#### seconds

    public static long seconds(int seconds)

#### minutes

    public static long minutes(int minutes)

#### hours

    public static long hours(int hours)

#### days

    public static long days(int days)